<?php
/*
 * Plugin Name:       Woo Related Products (EasyToolsWP)
 * Description:       Change the number of related products output and apply custom styles.
 * Version:           1.0.1
 * Requires at least: 6.6
 * Author:            EasyToolsWP.com
 * Requires Plugins:  woocommerce
 */

// Change number of related products output
function mysmart_related_products_number() {
    global $product;

    $args['posts_per_page'] = 6;
    return $args;
}
add_filter('woocommerce_output_related_products_args', 'mysmart_related_products_args', 20);

// Adjust related products args
function mysmart_related_products_args($args) {
    $args['posts_per_page'] = 4;
    $args['columns'] = 4;
    return $args;
}

// Center related products and apply custom styles
add_action('wp_head', 'center_and_style_related_products');
function center_and_style_related_products() {
    echo '
    <style>
        .related.products span.price {
            text-align: center;
            color: #D85E9D!important;
            font-size: 1.6em!important;
            font-weight: 600!important;
            margin-bottom: 20px!important;
        }

        .related {
            background-color: #fff;
            border-radius: 15px;
            border: 4px solid #e2e1fa;
            padding-top: 60px;
            padding: 30px;
            margin-left: 10px;
			width:1590px;
        }

        .related h2 {
            font-size: 3em;
            text-align: center;
        }

        .related.products ul.products {
            justify-content: center!important;
			display:flex;
        }

        .related.products {
            display: inline-block;
        }

        @media only screen and (max-width: 767px) {
			.related {
				width:97%!important;
			}
			
            .related.products ul.products {
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }

            .related.products li.product {
                width: 47%;
                margin: 0 1%;
            }
			.related.products ul.products {
				margin-top:20px!important;
			}
			
			.related.products ul.products li.product {
				margin-top:-30px;
			}
        }
    </style>';
}
